<?php

if ( __FILE__ == $_SERVER['SCRIPT_FILENAME'] ) {
  header("Location: 404.php");
  die();
}

/*
 * This will appear in the header and title
 * for much of the site.
 */
const SITE_NAME = "My Website";

/*
 * Raw HTML, no markdown. Introductory content
 * goes here. It will appear on the index.php
 * page at the top (above the posts).
 */
const TOP_BLURB = <<<HTML
HTML;

/*
 * Raw HTML, no markdown. Content for after
 * main body goes here. It will appear on the
 * index.php page at the bottom (below the posts).
 */
const FOOT_BLURB = <<<HTML
HTML;

/*
 * If truthy, will replace the default
 * site header. It will automatically be
 * placed inside a <header> element.
 */
const SITE_HEADER = false;

/*
 * If truthy, will replace the default
 * site footer. It will automatically be
 * placed inside a <footer> element.
 */
const SITE_FOOTER = false;

/*
 * Change the base language of your site here.
 */
const SITE_LANG = "en";

/*
 * Choose whether or not to show dates next
 * to post title on the index page
 */
const SHOW_DATES = true;

/*
 * Set the date format. For details see:
 * https://www.php.net/manual/en/datetime.format.php
 */
const DATE_STYLE = "m/d/y h:ia";

/*
 * Use 'simple.css' css theme/styling. This is
 * a boolean setting (true/false) that fill
 * include this css theming. When true, simple.css
 * will be added, but will not be directly
 * editable. You will still have access to your
 * css and be able to override any styles though.
 */
const SIMPLE_CSS = false;

/*
 * Adds custom data to the <head> element of the
 * index.php page. This can be useful for linking
 * to a favicon, additional stylesheets, javascript,
 * etc. The <head> element will already exist and
 * this string will be injected after all other
 * <head> content.
 */
const INDEX_HEAD = false;

/*
 * Adds custom data to the <head> element of the
 * post.php page. This can be useful for linking
 * to a favicon, additional stylesheets, javascript,
 * etc. The <head> element will already exist and
 * this string will be injected after all other
 * <head> content.
 *
 * This CMS is not designed with SEO in mind and
 * does not offer the ability to do per post meta
 * data.
 */
const POST_HEAD = false;

