<?php
include_once "logcheck.php";

$f = $_FILES["mediaUpload"] ?? null;
if ( !$f ) {
  header("Location: admin.php?success=0");
  die();
}

$target_dir = "media/";
$target_file = $target_dir . urlencode(basename( $f["name"] ) );
$uploadOk = 1;
$imageFileType = strtolower(pathinfo($target_file,PATHINFO_EXTENSION));

if (!file_exists("media")) {
  if (!mkdir("media", 0775)) {
    die("Server configuration does not allow for writing files");
  }
}

if ( file_exists( $target_file ) ) {
  // Check if file already exists
  $uploadOk = "0";
} else if ($f["size"] > 1500000) {
  // Check file size
  $uploadOk = "4";
} else if(
  !in_array( 
    $imageFileType,
    ["svg", "jpg", "jpeg", "png", "gif", "pdf",
    "epub", "azw3", "mobi", "html", "css" ]
  )){
  $uploadOk = 5;
} else {
  $done = move_uploaded_file($f["tmp_name"], $target_file);
  if ( $done ) {
    $uploadOk = "3";
  } else {
    $uploadOk = "0";
  }
}

header("Location: admin.php?success=" . $uploadOk);
die();
